.TH atscap_conf 5 "2007-Aug-21" "atscap_conf" "(C) 2004-2007 inkling@nop.org"
.NAME
.B atscap_conf
\- Configuration file for atscap instances

.SH DESCRIPTION
This document describes the format of the atscap
configuration file.
.SH LOCATION
atscap.n.conf is usually located in the /etc/atscap/ directory.
It may also be found other places depending on the
.B "atscap -c"
option.
    
.SH WARNING
This file is modified during operation.  Expired volatile timers are
not kept.  Comments are not kept.  Lines not starting with with the
following letters are not kept:
.IP
.B "A F S I C T W V"
or
.B "Z"

.SH AUTOMATIC EVENT TIMER CONFIGURATION
.TP
 AEventName[.n][:CH[:DAYS]]
.IP
Searches for EventName in EPG and adds a timer for it.  Auto events will not
work on stations without an EPG.  For auto events to work properly, you also
needs the AUTO field non-zero on the C configuration line.
.IP
EventName will match truncated event name and may have optional [.n], CH or
DAYS bitmask to limit search to program n on channel CH and DAYS bits.
.IP
CH and DAYS are optional to limit searches beyond the event name. These are
used when EventName search collides, i.e. 27:House.3 and 09:HouseFix.1. can
be fixed with AHouse:27 to only look on channel 27 for match to House.
If HouseFix moves to channel 27 then you'll wind up getting both. You can
further limit the matching by setting the weekday bits for the day you want.
.TP
NOTE: Put A-lines before C-lines to search current EPG for events. If you
get it out of order, atscap will save it in the correct order.

.SH Automatic Event Timer Configuration Example
These only work if the station sends updated Program Guides. Matches will
be added as volatile timers.
.TP
NOTE: Your channel numbers will obviously be different.
.IP
ACSI
.IP
Search Program Guides for CSI. If any matches found, add them to the timer list
as volatile timers. This only works if Program Guide Time Out is non-zero for
the channels which you wish to search.
.IP
ACSIMiami
.IP
If that's the only CSI you want, let search find it. This is an example of the
event name truncation. It reduces the event name to two unique words, no space.
.IP
ACSI:31:0111110
.IP
Search CBS Program Guides for CSI, only for Mon-Friday. This prevents CBS 4:3
self-syndications from showing up, but it is possible to miss weekend episodes.
.IP
A24:27
.IP
Search FOX Channel 27 Program Guide for 24. This prevents
the syndication non-HD re-runs on NBC from showing up.
If you want the non-HD re-runs, remove the :27
.IP
ANova.1:9
.IP
Search PBS Channel 9 Program guide for Nova. The Program
filter .1 limits it to only HD broadcasts on Program 1.

.SH CHANNEL CONFIGURATION
CCH:SIGN:NET:AUTO:PGM:PA[:RPGN:REPG]
.TP
Configure the channel with the following settings:
.IP
CH 2 digits; SIGN 1-5 chars, NET 1-3 chars
.br
AUTO nz is Program Guide Time Out every 3hrs, 0 stops auto EPG
.br
PGM Program select, 3 is usual, -1 for raw capture
.br
PA Program Audio select, -1 or 0 is first audio in Program
.br
RPGN [Optional] remote EPG program number to import as current program.
.br
REPG [Optional] remote EPG guide # to import as current program.
.TP

The order of C lines in this file sets the order of the channel
list and the channel hotkeys. Hotkey [1] is first channel loaded.

.TP
The [optional] parameters can be used to get broadcast EPGs into an atscap
session running on cable, which has no EPG that I can find yet. You will
need to co-ordinate the EPG program [RPGN] and file numbers [REPG] with
the atscap server that is receiving broadcast EPGs, since the channel order
is most likely quite a bit different between broadcast and cable. You also
will need to set the S configuration line for the remote atscap address:port
and possibly poke a hole in the firewall(s) in case your EPG is not being
served by a locally network connected atscap session running on broadcast.


.SH Channel Configuration Examples
.IP
C27:KRIV:FOX:1:3:0
.IP
Sets Channel 27 callsign to KRIV and station ID to FOX with EPG refresh every
3 hours and default capture on Program 3 with Audio 0 as default selection.
.IP
C31:KHOU:CBS:180:-1:-1
.IP
Sets Channel 31 callsign to KHOU and station ID to CBS with EPG refresh every
3 hours and full capture as default for manual captures.

.SH Cable With Remote EPG Configuration Example
.IP
C27:KRIV:FOX:180:1:0:3:3
.IP
Sets Channel 27 callsign to KRIV and station ID to FOX with auto EPG and
loads remote data from S-line defined server on program 3 and EPG 03.epg.
The remote EPG is imported and changed to the channel and program number
given earlier on this C-line.

.SH VOLATILE TIMER CONFIGURATION
.TP
VCH:YYYYMMDD:HH:MM:LM:NameX
.IP
Automatic Events or User EPG adds these to timer list. A-line, see above,
is automatic event search to add these.  You shouldn't have to edit these,
unless it's wrong or you want to add some future exact event start time.

  YYYYMMDD is 4 digit year, 2 digit month(1-12), 2 digit day of month(1-31)
  HH is hours 0-23, MM is minutes 0-59,  LM is length in minutes
.TP
NOTE: These are sorted above W-lines in timer precedence.

.SH Volatile Timer Configuration Example (changed to LCN not PTC)
.IP
V31:20070204:17:00:300:SuperBowlXLI@.3
.IP
V27:20080203:17:00:300:SuperBowlXLII@.3
.IP
You can manually set timers years in advance.  If the EPG stops working on
game day, no problem. 300 minutes will use close to 40MB of storage space.

.SH WEEKDAY TIMER CONFIGURATION (changed to LCN not PTC)
.TP
WCH:HH:MM:LM:DAYS:NameX
.IP
Weekday timers can be in any order. Save sorts by channel.
This kind of timer can be used when the station has no EPG.

 Weekday bits format: 1111111 in place of SMTWTFS
 X is optional flags for capture control:
 X can be can be any of the following:
   $ adds -Sun -Mon -Tue, etc., to Name, or
   @ adds -MmDd-HhMm unique to Name
 .p selects v ( 1 ... n) for Program number
    no .p will select full capture
 ,a selects a (0 ... 7) for Audio channel
    no ,a will auto-select main audio 0 for capture
    ,a requires .p: Audio number is within Program

.SH Weekday Timer Configuration Example
.IP
W35:20:00:060:0000010:LasVegas@.3
.IP
Capture LasVegas-mmdd-hhmm.ts on NBC Channel 35 Program 3.
Without ,[1...n] given, it defaults to main audio 0.
This timer runs every Friday at 8pm for 60 minutes.
.IP
W27:16:00:270:0000001:NASCAR$.3,1
.IP
This captures NASCAR-Sat.ts on FOX Channel 27 Program 3. With ,a given as ,1 it
captures mono audio channel 1. Usually the secondary audio has no announcer.
The capture time will be 4 hours and 30 minutes and use about 36GB of storage.
.IP
W31:22:35:062:0111110:LateShow.3
.IP
It's the Late Show with Dave Bucktooth. Without any # or $, it will overwrite
itself to save disk space. The .3 will make it capture only Program 3, Audio 0.
.IP
W31:17:00:060:111111:News11
.IP
This one will capture 1 hour of full stream from Channel 31 at 5pm every day
of the week. If your station bothers to send the Doppler radar on the other
Virtual Channel, you can have both news and radar. It will use about 8.8GB
per hour of capture.

.SH ATSC REMOTE EPG SERVER SELECT
.TP
Saddress:port
.IP
If you're using cable, this will be the IP address (or name) and port to
use for retrieving the EPG data from the remote atscap session that is
connected to broadcast. See optional parameters on C-line configuration.

.SH ATSC SYSTEM TIME SOURCE SELECT
.TP
ZPTC[:Offset]
.IP
ATSC stream time select. Station STT generators are notoriously unreliable.
It is recommended this you leave this at Z0 or it will drift unacceptably.
You can try it if you want to get a good laugh at the lack of timekeeping.
.TP
NOTE: Local system time change requires running as root.

 Z sets local time from Channel's ATSC stream time
 Z0 will disable setting local time from ATSC stream time
 Offset is optional number of seconds of correction

.SH System Time Configuration Example
.IP
Z27:3
.IP
Sets local time from Channel 27 ATSC STT minus 3 seconds. It can only update
local time during a capture, so you need to set C config line for this channel
to have AUTO non-zero, if you want it to update your system time automatically.
.TP
NOTE: It will conflict with ntpd.  NTP works better and is recommended.

.SH SEE ALSO
.PP
atscap(1)

.SH AUTHOR
.TP
The author of this manual page is <inkling@nop.org>.
.SH COPYRIGHT
.PP
This manual page is part of the atscap-1.1 distribution software.
.PP
This software is Copyright (C) 2004, 2005, 2006, 2007
.IP
by
.B <inkling@nop.org>
.SH LICENSE
.PP
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU General Public License, Version 2.
.PP
A copy of the license with the file name COPYING or LICENSE should have been
included in this distribution. If it was not included, please contact me,
.B <inkling@nop.org>,
or write to:
.IP
 The Free Software Foundation, Inc.
 51 Franklin Street, Fifth Floor
 Boston, MA 02110-1301, USA
